[person]
name = "John Doe"
age = 30

[[person.hobbies]]
name = "Cycling"
description = "Riding a bicycle for fun and fitness."

[[person.hobbies]]
name = "Reading"
description = "Reading books of various genres."


[[topic]]
title = "Discussion Topic 1"
date_created = 2023-05-15T08:20:00Z

[[topic.posts]]
author = "John Doe"
date_posted = 2023-05-15T09:15:00Z
content = "This is the first post."

[[topic.posts.responses]]
author = "Jane Doe"
date_posted = 2023-05-15T09:45:00Z
content = "This is a response to the first post."


[books."1984"]
author = "George Orwell"
date_published = 1949-06-08T00:00:00Z
keywords = ["dystopia", "totalitarianism", "surveillance"]

[[books."1984".reviews]]
author = "John Doe"
date_posted = 2023-05-15T00:00:00Z
content = "A timeless classic."

[[books."1984".reviews]]
author = "Jane Doe"
date_posted = 2023-05-16T00:00:00Z
content = "A chilling vision of the future."

[books."To Kill a Mockingbird"]
author = "Harper Lee"
date_published = 1960-07-11T00:00:00Z
keywords = ["racism", "justice", "coming of age"]

[[books."To Kill a Mockingbird".reviews]]
author = "John Doe"
date_posted = 2023-05-17T00:00:00Z
content = "A moving tale of courage and morality."

[[books."To Kill a Mockingbird".reviews]]
author = "Jane Doe"
date_posted = 2023-05-18T00:00:00Z
content = "A poignant exploration of human nature."

[books."Pride and Prejudice"]
author = "Jane Austen"
date_published = 1813-01-28T00:00:00Z
keywords = ["romance", "social class", "marriage"]

[[books."Pride and Prejudice".reviews]]
author = "John Doe"
date_posted = 2023-05-19T00:00:00Z
content = "A delightful comedy of manners."

[[books."Pride and Prejudice".reviews]]
author = "Jane Doe"
date_posted = 2023-05-20T00:00:00Z
content = "A witty and incisive critique of societal expectations."


[nft1]
name = "My Unique NFT"
symbol = "MUNFT"
total_supply = 100

[nft1.owner]
address = "0x123456789abcdef"
balance = 100

[nft1.token]
id = 1
metadata = "https://my-nft.com/metadata/1"
owner = "0x123456789abcdef"

[nft1.transfer]
from = "0x123456789abcdef"
to = "0xabcdef123456789"
token_id = 1


[nft]
name = "My Unique NFT"
symbol = "MUNFT"

[nft.metadata]
spec = "nft-1.0.0"
name = "My Unique NFT"
symbol = "MUNFT"
icon = "data:image/png;base64,..."
base_uri = "https://my-nft.com/"
total_supply = "100"

[nft.token."1"]
owner_id = "alice.near"
metadata = { title = "A token", description = "A unique token", media = "ipfs://12345", media_hash = "7GHipx...", copies = 1 }

[nft.token."2"]
owner_id = "bob.near"
metadata = { title = "Another token", description = "Another unique token", media = "ipfs://67890", media_hash = "8JIkpr...", copies = 1 }

[nft.owner."alice.near"]
tokens = ["1"]

[nft.owner."bob.near"]
tokens = ["2"]
